<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body onload="onPageLoading()"></body>
  <script>
    function onPageLoading() {
      let a = "0000";
      let b = "123";
      let c = a.concat(b);
      let d = c.split("");
      let arr = d.reduce(function (accumulator, element
      ) {
        if (accumulator.indexOf(element) === -1) {
          accumulator.push(element);
        }
        return accumulator;
      },
      []);
      console.log(arr.join(""));
    }
  </script>
</html>
